---
title: 伪指令和指令的区别
date: 2024-06-06T23:51:38Z
tags: []
---

在计算机体系结构和汇编语言中，指令（Instruction）和伪指令（Pseudo-instruction）是两个不同的概念。

指令（Instruction）：

定义：指令是计算机程序中的基本操作单元，它代表着一条机器语言指令，由操作码（Opcode）和操作数组成。

作用：指令是计算机执行程序的基本命令，用于进行各种操作，例如算术运算、逻辑运算、数据传输等。

示例：在汇编语言中，指令可以是类似于ADD（加法操作）或MOV（数据传输操作）等。

伪指令（Pseudo-instruction）：

定义：伪指令是在汇编语言中使用的一种特殊指令，它并不对应真实的机器语言指令。伪指令通常是为了方便程序员编写程序、提高可读性或实现一些高级功能而引入的。

作用：伪指令在汇编源代码中起到辅助性的作用，它们会在汇编过程中被翻译或转换成真正的机器指令。

示例：在汇编语言中，伪指令可能是一些用于定义常量、重复执行一段代码的指令，例如EQU（定义常量）、MACRO（宏定义）等。

总体而言，指令是计算机硬件能够直接执行的基本操作，而伪指令是在汇编语言层面引入的一些方便性和高级功能，它们不会被硬件直接执行，而是在汇编阶段进行处理。
